package com.qs.mp.admin.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.common.enums.TicketTypeEnum;
import com.qs.mp.common.enums.UserTicketOrderStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 用户盲票订单详情出参类
 * @author Cup
 * @date 2022/5/6
 */
@ApiModel("用户盲票订单详情出参类")
@Data
public class UserTicketOrderDetailVO {

    @ApiModelProperty("订单id")
    private String orderId;

    @ApiModelProperty("订单状态;-1 已取消 0:待付款 1:已完成")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private UserTicketOrderStatusEnum status;

    @ApiModelProperty("优惠金额")
    private Integer discountAmt;

    @ApiModelProperty("实付金额")
    private Integer payAmt;

    @ApiModelProperty("支付类型1支付宝,2微信,10支付宝直连")
    private String payType;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("渠道商名称")
    private String channelName;

    @ApiModelProperty("盲票组标题")
    private String ticketBoxTitle;

    @ApiModelProperty("盲票类型（线上或线下）")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private TicketTypeEnum ticketBoxType;

    @ApiModelProperty("佣金系数")
    private BigDecimal saleCommRate;

    @ApiModelProperty("盲票数量")
    private Integer ticketNum;

    @ApiModelProperty("销售价格")
    private Integer salePrice;

    @ApiModelProperty("下单时间")
    private Date createdTime;

    @ApiModelProperty("票相关信息列表")
    private List<UserTicketOrderTicketDetailVO>  ticketDetailList;
}
